# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_933ef3b6-ee83-4587-8504-0a5b7ab57771x59ln7a7/clone/recipe, last modified Thu Jul 14 02:34:56 2022
# ------------------------------------------------

package:
  name: networkx
  version: 2.8.4
source:
  sha256: 5e53f027c0d567cf1f884dbb283224df525644e43afd1145d64c9d88a3584762
  url: https://pypi.io/packages/source/n/networkx/networkx-2.8.4.tar.gz
build:
  number: '0'
  script: /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_933ef3b6-ee83-4587-8504-0a5b7ab57771x59ln7a7/croots/recipe/networkx_1657784101196/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
    -m pip install . -vv
  string: py38hca03da5_0
requirements:
  host:
    - ca-certificates 2022.4.26 hca03da5_0
    - certifi 2022.6.15 py38hca03da5_0
    - libcxx 12.0.0 hf6beb65_1
    - libffi 3.4.2 hc377ac9_4
    - ncurses 6.3 h1a28f6b_3
    - openssl 1.1.1q h1a28f6b_0
    - pip 22.1.2 py38hca03da5_0
    - python 3.8.13 hbdb9e5c_0
    - readline 8.1.2 h1a28f6b_1
    - setuptools 61.2.0 py38hca03da5_0
    - sqlite 3.38.5 h1058600_0
    - tk 8.6.12 hb8d0fd4_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h1a28f6b_1
    - zlib 1.2.12 h5a0b063_2
  run:
    - python >=3.8,<3.9.0a0
test:
  commands:
    - pip check
  imports:
    - networkx
    - networkx.algorithms
    - networkx.algorithms.approximation
    - networkx.algorithms.assortativity
    - networkx.algorithms.bipartite
    - networkx.algorithms.centrality
    - networkx.algorithms.coloring
    - networkx.algorithms.community
    - networkx.algorithms.components
    - networkx.algorithms.connectivity
    - networkx.algorithms.flow
    - networkx.algorithms.isomorphism
    - networkx.algorithms.link_analysis
    - networkx.algorithms.minors
    - networkx.algorithms.node_classification
    - networkx.algorithms.operators
    - networkx.algorithms.shortest_paths
    - networkx.algorithms.traversal
    - networkx.algorithms.tree
    - networkx.classes
    - networkx.drawing
    - networkx.generators
    - networkx.linalg
    - networkx.readwrite
    - networkx.readwrite.json_graph
    - networkx.testing
    - networkx.tests
    - networkx.utils
  requires:
    - pip
about:
  description: 'NetworkX is a Python language software package for the creation,

    manipulation, and study of the structure, dynamics, and functions of complex

    networks.

    '
  dev_url: https://github.com/networkx/networkx
  doc_source_url: https://github.com/networkx/networkx/blob/v1.11/doc/source/index.rst
  doc_url: https://networkx.org/documentation/stable
  home: https://networkx.github.io/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Python package for creating and manipulating complex networks
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 933ef3b6-ee83-4587-8504-0a5b7ab57771
  recipe-maintainers:
    - FelixMoelder
    - SylvainCorlay
    - ocefpaf
    - synapticarbors
  remote_url: git@github.com:AnacondaRecipes/networkx-feedstock.git
  sha: 682252c6e3bd7be2fb88279be579213a5ebdb421
